# Standard things

sp 		:= $(sp).x
dirstack_$(sp)	:= $(d)
d		:= $(dir)


# Local rules and targets
#
TGTS_$(d)	:= $(d)/sysdefs.h $(d)/sysdefs-mm.h
TGT_INC		:= $(TGT_INC) $(TGTS_$(d))
CLEAN		:= $(CLEAN) $(TGTS_$(d))


# General stuff, such as HAVE_STDINT

$(d)/sysdefs.h:	$(d)/Rules.mk Makefile
		$(DEFHDR) $@ $(SYSDEFS)

# Memory management, such as HAVE_GETPAGESIZE, HAVE_SYSVSHM

$(d)/sysdefs-mm.h:	$(d)/Rules.mk Makefile
		$(DEFHDR) $@ $(SYSDEFS_MM)


# Note: we install these files, so that other packages needn't bother 
# themselves with determining HAVE_ macros. Ultimately we can even put
# some autodetection stuff here.

# Standard things

d		:= $(dirstack_$(sp))
sp		:= $(basename $(sp))

